# -*- mode: rpm-spec ; mode: font-lock -*-

Summary: Macromolecular coordinate superposition library
Name: ssm
Version: 1.0
Release: 2%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
URL: http://www.bioxray.au.dk/~mok/%{name}
Source0: ftp://ftp.bioxray.au.dk/pub/mok/src/%{name}-%{version}.tar.gz
Patch0: ssm-configure.ac.patch
Patch1: ssm-makefile.am.patch
Patch2: ssm-ssm.pc.in.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: mmdb-devel

%description
SSM is a macromolecular coordinate superposition library, written by 
Eugene Krissinel.

The library implements the SSM algorithm of protein structure
comparison in three dimensions, which includes an original procedure
of matching graphs built on the protein's secondary-structure
elements, followed by an iterative three-dimensional alignment of
protein backbone Calpha atoms. 

The algorithm implemented by the software is described in:
E. Krissinel & K. Henrick (2004) Secondary-structure matching (SSM), a
new tool for fast protein structure alignment in three dimensions.
Acta Crystallogr D Biol Crystallogr. 60, 2256-68.

This package contains the shared library components needed for programs
that have been compiled with the ssm library. 

%package devel
Summary: Header files and library for developing programs with ssm
Requires: %{name} = %{version}-%{release}
Requires: mmdb-devel
Requires: pkgconfig
Group: Development/Libraries

%description devel
This package contains libraries and header files needed for program
development using SSM.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
aclocal
libtoolize --automake --copy
autoconf
automake --copy --add-missing --gnu

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libssm.so.0.0.0
%{_libdir}/libssm.so.0

%files devel
%defattr(-,root,root,-)
%{_libdir}/libssm.so
%{_includedir}/ssm/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Tim Fenn <fenn@stanford.edu> - 1.0-1
- update to 1.0

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 22 2008 Tim Fenn <fenn@stanford.edu> - 0.1-11
- fix libtoolize

* Sat Nov 22 2008 Tim Fenn <fenn@stanford.edu> - 0.1-10
- update to reflect mmdb changes

* Mon Nov 10 2008 Tim Fenn <fenn@stanford.edu> - 0.1-9
- include makefile patch to correspond with configure patch
- fix license tag
- fix buildrequires (add mmdb-devel)
- fix configure/make install
- docs only in main package

* Sat Oct 25 2008 Tim Fenn <fenn@stanford.edu> - 0.1-8
- change name libssm to ssm
- add smp make macro
- fix buildrequires

* Thu May 29 2008 Tim Fenn <fenn@stanford.edu> - 0.1-7
- fix Requires, post, postun

* Wed May 28 2008 Tim Fenn <fenn@stanford.edu> - 0.1-6
- fix ldconfig, requires, buildroot, naming scheme

* Tue May 27 2008 Tim Fenn <fenn@stanford.edu> - 0.1-5
- remove static libs

* Mon May 26 2008 Tim Fenn <fenn@stanford.edu> - 0.1-4
- spec cleanup

* Tue Feb 26 2008 Tim Fenn <fenn@stanford.edu> - 0.1-3
- update using fedora packaging conventions

* Sun Sep 02 2007 Morten Kjeldgaard <mok@bioxray.dk> - 0.1
- Spec file part of ssm distro, split devel files and shared library 
  into separate packages.

####
